> ## Name

> cgSetFloatStateAssignment - set the value of a state assignment

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgSetFloatStateAssignment( CGstateassignment sa,
>                                       float value );

> ## Parameters

> sa
>   A handle to a state assignment of type CG_FLOAT, CG_FIXED, or CG_HALF.
> value
>   The value to which sa will be set.

> ## Return Values

> Returns CG_TRUE if it succeeds in setting the state assignment.

> Returns CG_FALSE otherwise.

> ## Description

> cgSetFloatStateAssignment sets the value of a state assignment of float type.

> ## Examples

> to-be-written

> ## Errors

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a float type.

> CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

> ## History

> cgSetFloatStateAssignment was introduced in Cg 1.5.

> ## See Also

> cgGetFloatStateAssignmentValues, cgSetFloatArrayStateAssignment, cgSetBoolArrayStateAssignment, cgSetBoolStateAssignment, cgSetIntArrayStateAssignment, cgSetIntStateAssignment, cgSetProgramStateAssignment, cgSetSamplerStateAssignment, cgSetStringStateAssignment, cgSetTextureStateAssignment